Package org.apache.sling.distribution.journal.bookkeeper

# Enum PackageHandling

java.lang.Object
java.lang.Enum<PackageHandling>
org.apache.sling.distribution.journal.bookkeeper.PackageHandling

All Implemented Interfaces:
  `Serializable`, `Comparable<PackageHandling>`

public enum PackageHandling extends Enum<PackageHandling>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Extract`
`Install`
`Off`

## Method Summary

Modifier and Type
Method
Description
`static PackageHandling`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PackageHandling[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Off

public static final PackageHandling Off

### Extract

public static final PackageHandling Extract

### Install

public static final PackageHandling Install

## Method Details

### values

public static PackageHandling[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PackageHandling valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null